Subject: Re: [PATCH] sparse-index: pass string length to index_file_exists()

From: Junio C Hamano <[email-masked]>
Date: Fri, 02 Feb 2024 11:30:39 -0800

Jeff Hostetler <[email-masked]> writes:

> I don't remember if this bug caused visible problems or not. It felt
> like it caused a few extra rounds of mutually-recursive calls between
> `index_file_exists()` and `expand_to_path()`, but I can't say that
> for certain (and I was focused on a different problem at the time).
>
> I do have some test code in `t/helper/lazy-init-name-hash.c` that
> I suppose we could extend to beat on it, but I'm not sure it is
> worth it in this case.

Yeah, if we had a reproduction already handy that would have been a
different story, but I agree that it is not worth it.

Thanks for a fix.  Queued.